Get Analytics Detailed Usage Time
curl --request GET \
--url https://production.runalloy.com/analytics/detail-usage-time \
--header 'Authorization: <authorization>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/analytics/detail-usage-time"
headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};
fetch('https://production.runalloy.com/analytics/detail-usage-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"startDate": "2023-12-27",
"endDate": "2024-12-27",
"totalActions": 0,
"data": [
{
"appActions": 37,
"month": "Jan-24",
"year": 2024,
"date": "2024-01-02",
"apiActions": 0,
"count": 37
},
{
"appActions": 41,
"month": "Feb-24",
"year": 2024,
"date": "2024-02-04",
"apiActions": 0,
"count": 41
},
{
"appActions": 55,
"month": "Mar-24",
"year": 2024,
"date": "2024-03-02",
"apiActions": 0,
"count": 55
},
{
"appActions": 431,
"month": "Apr-24",
"year": 2024,
"date": "2024-04-01",
"apiActions": 0,
"count": 431
},
{
"appActions": 148,
"month": "May-24",
"year": 2024,
"date": "2024-05-05",
"apiActions": 0,
"count": 148
},
{
"appActions": 6,
"month": "Jun-24",
"year": 2024,
"date": "2024-06-27",
"apiActions": 0,
"count": 6
},
{
"appActions": 28,
"month": "Jul-24",
"year": 2024,
"date": "2024-07-10",
"apiActions": 0,
"count": 28
},
{
"appActions": 70,
"month": "Aug-24",
"year": 2024,
"date": "2024-08-05",
"apiActions": 0,
"count": 70
},
{
"appActions": 234,
"month": "Sep-24",
"year": 2024,
"date": "2024-09-12",
"apiActions": 0,
"count": 234
},
{
"appActions": 956,
"month": "Oct-24",
"year": 2024,
"date": "2024-10-13",
"apiActions": 0,
"count": 956
},
{
"appActions": 90,
"month": "Nov-24",
"year": 2024,
"date": "2024-11-07",
"apiActions": 0,
"count": 90
}
],
"timePeriod": "current-billing-cycle"
}
}App Actions Usage
Get Analytics Detailed Usage Time
Returns app actions usage based on a given time period.
GET
/
analytics
/
detail-usage-time
Get Analytics Detailed Usage Time
Headers
The version of the API to use. The current API version is 2025-09.
Query Parameters
The time period for usage data. Default time-period is current-billing-cycle
Available options:
7-days, 30-days, 3-months, current-billing-cycle Example:
"7-days"
Response
200 - application/json
Success (Example)
⌘I

